## golang-github-kentik-patricia 0.0~git20200128.c35d94c

=== debian/changelog ===
golang-github-kentik-patricia (0.0~git20200128.c35d94c-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Marco d'Itri <md@linux.it>  Wed, 22 Apr 2020 05:11:06 +0200

golang-github-kentik-patricia (0.0~git20200128.c35d94c-1) experimental; urgency=medium

  * Initial release.

 -- Marco d'Itri <md@linux.it>  Sun, 19 Apr 2020 05:52:21 +0200
