=== debian/rules ===
#!/usr/bin/make -f
export DH_GOLANG_INSTALL_EXTRA := template/test_tags.tsv

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
