=== debian/changelog ===
golang-github-kentik-patricia (0.0~git20201202.f9447a6-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 03 Jan 2021 09:09:36 +0100

golang-github-kentik-patricia (0.0~git20200128.c35d94c-3) UNRELEASED; urgency=low

  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 30 Aug 2020 17:22:49 -0000
