=== debian/control ===
Source: golang-github-kentik-patricia
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Marco d'Itri <md@linux.it>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia.git
Homepage: https://github.com/kentik/patricia
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/kentik/patricia

Package: golang-github-kentik-patricia-dev
Architecture: all
Depends: ${misc:Depends}
Description: Garbage collector-sensitive patricia tree (library)
 Go implementation of a patricia tree, specifically for tagging IPv4 and
 IPv6 addresses with CIDR bits, with a focus on producing as little
 garbage for the garbage collector to manage as possible.
 This allows you to tag millions of IP addresses without incurring a
 penalty during GC scanning.
