=== debian/rules ===
--- 
+++ 
@@ -3,4 +3,3 @@
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
-
