## golang-github-kentik-patricia 0.0~git20210909.2160333

=== debian/changelog ===
golang-github-kentik-patricia (0.0~git20210909.2160333-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 18 Sep 2021 23:45:55 +0200
