=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia.git
 Homepage: https://github.com/kentik/patricia
@@ -18,6 +18,7 @@
 Package: golang-github-kentik-patricia-dev
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Garbage collector-sensitive patricia tree (library)
  Go implementation of a patricia tree, specifically for tagging IPv4 and
  IPv6 addresses with CIDR bits, with a focus on producing as little
