=== debian/changelog ===
golang-github-kentik-patricia (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Oct 2024 23:40:34 +0200
