=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: golang-github-kentik-patricia
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Marco d'Itri <md@linux.it>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia.git
 Homepage: https://github.com/kentik/patricia
