## golang-github-kentik-patricia 1.2.2

=== debian/changelog ===
golang-github-kentik-patricia (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jan 2026 01:36:51 +0100
