=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.7.0.1
+Standards-Version: 4.7.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-kentik-patricia.git
 Homepage: https://github.com/kentik/patricia
